#!/bin/sh
#
SCRIPTNAME="autostartup.sh"
TMPDIR="/tmp"
SIGDIR="/tmp/sig"
CHECKFILE="/tmp/running"
ARCH=`arch`

finish()
{
if [ -d $SIGDIR ] ; then
cd $TMPDIR
rm -rf $SIGDIR
fi
if [ -f "$0" ] ; then
	rm $0
fi
}
trap finish EXIT

if [ -z "$1" ] ; then
echo "No taz file as parameter 1"
exit 1
fi

PARM1="$1"
calcsize=$(wc -c <"$PARM1")
dirspace=$(expr $(($(stat -f --format="%a*%S" /tmp))) / 20)

# Make sure there is enough space
if [ $dirspace -le $calcsize ] ; then
SIGDIR=$HOME/sig
fi

if [ -f $CHECKFILE ] ; then
echo "Already running"
exit 1
fi

date >$CHECKFILE

if [ -d $SIGDIR ] ; then
rm -rf $SIGDIR/*
else
mkdir $SIGDIR
fi
cd $SIGDIR

TAZFILE=`tar tf $PARM1 | grep '.taz'`

if [ -z "$TAZFILE" ] ; then
echo "No taz file"
exit 1
fi

tar xf $PARM1 $TAZFILE
tar xf $TAZFILE $SCRIPTNAME
shift
if [ "$ARCH" = "x86_64"  ] ; then
sh $SIGDIR/$SCRIPTNAME $SIGDIR/$TAZFILE $*
else
sh $SIGDIR/$SCRIPTNAME $SIGDIR/$TAZFILE $* $(md5sum <$1)
fi
rm -f $SIGDIR/$SCRIPTNAME $SIGDIR/$TAZFILE $CHECKFILE $0
exit 0
